import pybat, os, sys

os.environ['pybat_p2b_test_envvar'] = 'FAILURE'

exitcode = pybat.callbat('pybat_p2b_test.bat paramAlpha paramBeta paramGamma')

if exitcode != 249:
    print 'Python script calling batch file test FAILED to return correct exit code. (%s instead of 249)' % (exitcode)
    del os.environ['pybat_p2b_test_envvar']
    sys.exit(1)

if 'pybat_p2b_test_envvar' in os.environ:
    print 'Python script calling batch file test result: %s' % (os.environ['pybat_p2b_test_envvar'].strip())
    excode = os.environ['pybat_p2b_test_envvar'].strip() != 'success'
    del os.environ['pybat_p2b_test_envvar']
    sys.exit(excode)
else:
    print 'Python script calling batch file test result: FAILURE (environment variable was somehow deleted)'
    del os.environ['pybat_p2b_test_envvar']
    sys.exit(1)